The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

openSUSE:GNOME 3.0

GNOME 3.0 in openSUSE 11.4

openSUSE 11.4 è stata rilasciata con GNOME 2.32, ma sappiamo che c'è chi vuole godere dell'elegante design di GNOME 3. Dunque il gruppo di lavoro GNOME ha lavorato alacremente per fornire GNOME 3.0 su openSUSE 11.4. Sappiamo che lo adorerai!

GNOME 3 su openSUSE: schermate edit


Come aggiornare openSUSE 11.4 a GNOME 3.0

Per favore leggi le istruzioni attentamente prima di procedere con l'aggiornamento.

One-click install (raccomandato)

Per prima cosa assicurati di aver aperto un terminale prima di iniziare il processo di aggiornamento (ti servirà per riavviare il sistema al completamento dell'aggiornamento) e di aver chiuso tutte le applicazioni in esecuzione.

Utilizza i seguenti pulsanti 1-Click:

Per x86 32bit openSUSE 11.4
Oneclick.png
Per x86 64bit openSUSE 11.4
Oneclick.png

Segui le istruzioni che ti verranno proposte. Una volta completato l'aggiornamento, riavvia il sistema tramite il terminale aperto prima di iniziare l'aggiornamento stesso:

$ sudo /sbin/reboot

Se hai dimenticato di aprire un terminale, fai clic destro sullo sfondo del desktop e scegli "Apri un terminale" per averne uno.

Aggiornamento tramite console

Se preferisci utilizzare la console, esegui i seguenti comandi (come amministratore), dopo aver chiuso tutte le applicazioni in esecuzione:

  • per assicurarti che l'aggiornamento sia ancora in esecuzione nel caso improbabile che la tua sessione grafica venga terminata, avvia screen:
    # screen
  • aggiungi il repository GNOME:STABLE:3.0:
    # zypper ar obs://GNOME:STABLE:3.0/openSUSE_11.4 GNOME_STABLE_3.0
  • assicurati che sia configurato per l'aggiornamento automatico e che abbia una maggiore priorit√† rispetto agli altri repository di openSUSE 11.4:
    # zypper mr -p 98 -r GNOME_STABLE_3.0
  • esegui l'aggiornamento (chiudi qualsiasi programma in esecuzione prima di farlo):
    # zypper dup
  • assicurati che GNOME Shell e il tema di GNOME3 siano installati:
    # zypper in gnome-shell metatheme-adwaita-common
  • per avere GNOME 3 completamente tradotto in italiano assicurati che sia installato il pacchetto gnome-shell-lang:
    # zypper in gnome-shell-lang
  • assicurati che il supporto 3D per le schede Nvidia (nel caso in cui non utilizzi il driver proprietario) sia installato:
    # zypper in Mesa-nouveau3d
  • quando l'aggiornamento √® completato, riavvia il sistema:
    # reboot

Domande frequenti

Ho fatto l'aggiornamento a GNOME 3.0, ma ho un bug. Dove devo segnalarlo?
Segnala un bug in openSUSE 11.4 e inserisce [gnome3] nel sommario del bug.

Ho installato l'immagine live di (openSUSE) GNOME 3 sul mio sistema, come faccio ad avere gli ultimi pacchetti?
Se hai installato (openSUSE) GNOME 3 live rilascio 1.2.0 o successive non hai bisogno di cambiare repository. Diversamente dovresti passare dal repository che forniva GNOME 3 a GNOME:STABLE:3.0. Ecco come fare (come amministratore):

  • aggiungi il repository GNOME:STABLE:3.0 al tuo sistema:
    # zypper ar obs://GNOME:STABLE:3.0/openSUSE_11.4 GNOME_STABLE_3.0
  • assicurati che sia configurato per l'aggiornamento automatico e che abbia una maggiore priorit√† rispetto agli altri repository di openSUSE 11.4:
    # zypper mr -p 98 -r GNOME_STABLE_3.0
  • rimuovi il vecchio repository :
    # zypper rr home:fcrozat:gnome3_11.4
  • aggiorna il sistema per utilizzare il nuovo repository:
    # zypper dup
  • riavvia il sistema (perch√© molte librerie sono cambiate nel processo)

Ho provato (openSUSE) GNOME 3 live, ma non ho capito come installarlo sul mio computer. Hai due possibilità:

  • riavvia l'immagine line e dal menu d'avvio digita liveinstall e premi invio
  • o con GNOME in esecuzione vai su Applicazioni e digita live, dovrebbe comparire l'icona per l'installazione live. Fai clic su di essa e segui le istruzioni.

Problemi noti

  • GNOME Shell richiede il supporto 3D (openGL) che non √® attualmente abbastanza stabile in VirtualBox o VMWare. Ti raccomandiamo di disattivare il supporto 3D in quegli ambienti e di utilizzare invece la modalit√† Fallback di GNOME 3 (verr√† selezionata automaticamente. RISOLTO: se stai utilizzando VirtualBox 4.0.8 su Linux con l'estensione guest versione 4.0.8 (o successive) installata, GNOME 3 dovrebbe funzionare.
  • NetworkManager 0.9, richiesto da GNOME 3, ha attualmente i seguenti problemi:
    • KDE 4 non rilever√† correttamente la disponibilit√† della rete. Potresti voler passare al "metodo tradizionale con ifup" nelle impostazioni di rete di Yast o utilizzare nm-applet (dal pacchetto NetworkManager-gnome) in KDE. Questo problema verr√† risolto nel prossimo rilascio di openSUSE.
    • RISOLTO La modifica e l'attivazione delle reti wifi WPA-Enterprise non √® disponibile tramite l'estenzione di rete di GNOME Shell o il pannello di rete di GNOME Control Center. Questo problema verr√† risolto a breve.
    • Il supporto a novellvpn non √® disponibile: stiamo indagando al riguardo.
    • La password di amministratore √® richiesta quando si configura un account WEP/WPA.
  • La configurazione per il login automatico nel pannello Account utente non √® corretta. In attesa che questo bug venga risolto, utilizza Yast (Gestione di utenti e gruppi / Opzioni per utenti avanzati / Impostazioni di login / Login automatico) https://bugzilla.novell.com/show_bug.cgi?id=688071
  • La password di amministratore viene richiesta quando l'aggiornamento software sta per aggiornare i repository dei pacchetti. Questo perch√© gli aggiornamenti di sicurezza sono impostati per essere installati automaticamente. Pu√≤ essere ripristinato il normale comportamento di openSUSE 11.4 aprendo le preferenze di Aggiornamenti software ed impostando 'Installa automaticamente' su Nulla.
  • √ą necessario installare pacchetti aggiuntivi se si utilizzano le istruzioni sopramenzionate su un'installazione di openSUSE 11.4 basata su KDE
  • RISOLTO Nautilus si blocca facendo clic destro > propriet√†, attualmente la soluzione provvisoria √® disinstallare nautilus-extension-tracker-tags. Vedi https://bugzilla.novell.com/show_bug.cgi?id=689447
  • Gli utenti ATI dovrebbero essere consapevoli di un problema con il driver proprietario ATI che causa una corruzione grafica in GNOME 3. L'utilizzo del driver open source radeon pu√≤ essere una soluzione temporanea. Vedi http://ati.cchtml.com/show_bug.cgi?id=99

Come posso aiutare?

Puoi aiutare:

  • provando e segnalando problemi;
  • aiutando a suddividere per gravit√† i bug segnalati;
  • aiutando le persone che fanno l'aggiornamento e segnalano problemi nel forum.